2017-07-21 00:28 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000121Kali Linux[All Projects] New Tool Requestspublic2013-03-21 12:46
Reportersaberzaid 
Assigned Tomuts 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000121: Arachni
DescriptionArachni is an Open Source, feature-full, modular, high-performance Ruby framework aimed towards helping penetration testers and administrators evaluate the security of web applications.

Arachni is smart, it trains itself by learning from the HTTP responses it receives during the audit process and is able to perform meta-analysis using a number of factors in order to correctly assess the trustworthiness of results and intelligently identify false-positives.

Unlike other scanners, it takes into account the dynamic nature of web applications, can detect changes caused while travelling through the paths of a web application's cyclomatic complexity and is able to adjust itself accordingly.
This way attack/input vectors that would otherwise be undetectable by non-humans are seamlessly handled by Arachni.

Moreover, Arachni yields great performance due to its asynchronous HTTP model (courtesy of Typhoeus) -- especially when combined with a High Performance Grid setup which allows you to combine the resources of multiple nodes for lightning fast scans.
Thus, you'll only be limited by the responsiveness of the server under audit.

Finally, it is versatile enough to cover a great deal of use cases, ranging from a simple command line scanner utility, to a global high performance grid of scanners, to a Ruby library allowing for scripted audits.

download:

http://arachni-scanner.com/latest
Attached Files

-Relationships
+Relationships

-Notes

~0000164

muts (administrator)

Added to repos. Please test the package.

apt-get update
apt-get install arachni
+Notes

-Issue History
Date Modified Username Field Change
2013-03-18 14:16 saberzaid New Issue
2013-03-21 12:46 muts Note Added: 0000164
2013-03-21 12:46 muts Status new => closed
2013-03-21 12:46 muts Assigned To => muts
2013-03-21 12:46 muts Resolution open => fixed
2013-03-21 12:46 muts Status closed => resolved
+Issue History